HTMLConfiguration.ErrorReporter (NekoHTML 1.9.20 Implementation)
Date: 2014-02-13

org.cyberneko.html

## Class HTMLConfiguration.ErrorReporter

- java.lang.Object
- - org.cyberneko.html.HTMLConfiguration.ErrorReporter

- All Implemented Interfaces:
    HTMLErrorReporter
  Enclosing class:
    HTMLConfiguration

      protected class HTMLConfiguration.ErrorReporter
      extends java.lang.Object
      implements HTMLErrorReporter

  Defines an error reporter for reporting HTML errors. There is no such thing as a fatal error in parsing HTML. I/O errors are fatal but should throw an `IOException` directly instead of reporting an error.

  When used in a configuration, the error reporter instance should be set as a property with the following property identifier:

       "http://cyberneko.org/html/internal/error-reporter" in the

  Components in the configuration can query the error reporter using this property identifier.

  Note: All reported errors are within the domain "http://cyberneko.org/html".

  Author:
    Andy Clark

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.ResourceBundle` | `fErrorMessages` Error messages.
    `protected java.util.Locale` | `fLastLocale` Last locale.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `HTMLConfiguration.ErrorReporter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected XMLParseException` | `createException(java.lang.String key, java.lang.Object[] args)` Creates parse exception.
    `java.lang.String` | `formatMessage(java.lang.String key, java.lang.Object[] args)` Format message without reporting error.
    `protected java.lang.String` | `formatSimpleMessage(java.lang.String key, java.lang.Object[] args)` Format simple message.
    `void` | `reportError(java.lang.String key, java.lang.Object[] args)` Reports an error.
    `void` | `reportWarning(java.lang.String key, java.lang.Object[] args)` Reports a warning.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### fLastLocale

          protected java.util.Locale fLastLocale

      Last locale.

    - #### fErrorMessages

          protected java.util.ResourceBundle fErrorMessages

      Error messages.

  - ### Constructor Detail

    - #### HTMLConfiguration.ErrorReporter

          protected HTMLConfiguration.ErrorReporter()

  - ### Method Detail

    - #### formatMessage

          public java.lang.String formatMessage(java.lang.String key,
                                       java.lang.Object[] args)

      Format message without reporting error.
      Specified by:
        `formatMessage` in interface `HTMLErrorReporter`

    - #### reportWarning

          public void reportWarning(java.lang.String key,
                           java.lang.Object[] args)
                             throws XMLParseException

      Reports a warning.
      Specified by:
        `reportWarning` in interface `HTMLErrorReporter`
      Throws:
        `XMLParseException`

    - #### reportError

          public void reportError(java.lang.String key,
                         java.lang.Object[] args)
                           throws XMLParseException

      Reports an error.
      Specified by:
        `reportError` in interface `HTMLErrorReporter`
      Throws:
        `XMLParseException`

    - #### createException

          protected XMLParseException createException(java.lang.String key,
                                          java.lang.Object[] args)

      Creates parse exception.

    - #### formatSimpleMessage

          protected java.lang.String formatSimpleMessage(java.lang.String key,
                                             java.lang.Object[] args)

      Format simple message.

(C) Copyright 2002-2014, Andy Clark, Marc Guillemot. All rights reserved.